|  | Home | Documentation | wsse__EncodedString Struct Reference updated Fri Jul 17 2020 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsse__EncodedString Struct Reference

This type is used for elements containing stringified binary data. More...

`#include <wsse.h>`

## Public Attributes
char * | __item
| __item wraps "xs:string" simpleContent. More...
char * | EncodingType
| Attribute "EncodingType" of XSD type xs:anyURI. More...
char * | wsu__Id
| Imported attribute reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Id. More...

## Detailed Description

This type is used for elements containing stringified binary data.

"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":EncodedString is a complexType with simpleContent.

## Member Data Documentation

char* wsse__EncodedString::__item

__item wraps "xs:string" simpleContent.

char* wsse__EncodedString::EncodingType

Attribute "EncodingType" of XSD type xs:anyURI.

Optional attribute.

char* wsse__EncodedString::wsu__Id

Imported attribute reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Id.

Optional attribute.

The documentation for this struct was generated from the following file:

- wsse.h